LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XBookmarksSupplier Interface Referencepublished

provides access to the collection of all bookmarks within this text container. More...

`import <XBookmarksSupplier.idl;`

Inheritance diagram for XBookmarksSupplier:

## Public Member Functions
com::sun::star::container::XNameAccess | getBookmarks ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides access to the collection of all bookmarks within this text container.

## Member Function Documentation

## ◆ getBookmarks()

com::sun::star::container::XNameAccess getBookmarks | ( |  | ) |

Returns
  the collection of all Bookmark instances which are within this context and which support the Bookmarks service.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XBookmarksSupplier.idl